org.bouncycastle.jce.provider

## Class JCEIESCipher.ECIES

- java.lang.Object
- - javax.crypto.CipherSpi
  - - org.bouncycastle.jce.provider.WrapCipherSpi
    - - org.bouncycastle.jce.provider.JCEIESCipher
      - - org.bouncycastle.jce.provider.JCEIESCipher.ECIES

All Implemented Interfaces:
  PBE

Enclosing class:
  JCEIESCipher

    public static class JCEIESCipher.ECIES
    extends JCEIESCipher

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JCEIESCipher

`JCEIESCipher.BrokenECIES, JCEIESCipher.BrokenIES, JCEIESCipher.ECIES, JCEIESCipher.IES`

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.WrapCipherSpi

`WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap, WrapCipherSpi.RFC3211DESedeWrap`

### Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE

`PBE.Util`

### Field Summary

### Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi

`pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

### Fields inherited from interface org.bouncycastle.jce.provider.PBE

`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

### Constructor Summary

Constructors
Constructor and Description
`JCEIESCipher.ECIES()`

### Method Summary

### Methods inherited from class org.bouncycastle.jce.provider.JCEIESCipher

`engineDoFinal, engineDoFinal, engineGetBlockSize, engineGetIV, engineGetKeySize, engineGetOutputSize, engineGetParameters, engineInit, engineInit, engineInit, engineSetMode, engineSetPadding, engineUpdate, engineUpdate`

### Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi

`engineUnwrap, engineWrap`

### Methods inherited from class javax.crypto.CipherSpi

`engineDoFinal, engineUpdate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JCEIESCipher.ECIES

    public JCEIESCipher.ECIES()